#ifndef __EEPROM_H
#define __EEPROM_H

#include "ch32v10x_conf.h"

#define EEPROM_I2C_WR    0       /* дbit */
#define EEPROM_I2C_RD    1       /* bit */

#define EEPROM_DEV_ADDR  0xA0    /* 24xx02豸ַ */
#define EEPROM_PAGE_SIZE 8       /* 24xx02ҳС */
#define EEPROM_SIZE      256     /* 24xx02 */

#define AT24C01     127
#define AT24C02     255
#define AT24C04     511
#define AT24C08     1023
#define AT24C16     2047
#define AT24C32     4095
#define AT24C64     8191
#define AT24C128    16383
#define AT24C256    32767

//CH32V103ʹõ24C02ԶTYPEΪAT24C02
uint8_t EEPROM_Device_Check(uint8_t Address);
uint8_t EEPROM_WaitStandby(void);
uint8_t EEPROM_ReadBytes(uint8_t *ReadBuf, uint16_t SAddress, uint16_t Size);
uint8_t EEPROM_WriteBytes(uint8_t *WriteBuf, uint16_t SAddress, uint16_t Size);
void EEPROM_Erase(void);
uint8_t EEPROM_Test(void);

#endif
